[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.Location

Application location

## Declaration

Source position: custapp.pp line 95

`public property TCustomApplication.Location : string read GetLocation;`

## Description

Location returns the directory part of the application binary. This property works on most platforms, although some platforms do not allow to retrieve this information (Mac OS for example has no reliable way to get this information). See the discussion of Paramstr in the RTL documentation.

## See also

Paramstr
Params |  | Command-line parameters